Bug 8711 - Surface pattern transform doesn't work with XLib / GTK
Summary: Surface pattern transform doesn't work with XLib / GTK
Status: VERIFIED FIXED
Alias: None
Product: cairo
Classification: Unclassified
Component: xlib backend (show other bugs)
Version: 1.2.5
Hardware: x86 (IA32) Linux (All)
: high major
Assignee: Carl Worth
QA Contact: cairo-bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-19 18:48 UTC by Ivan Baldo
Modified: 2006-10-24 09:03 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Minimal application showing the bug. (2.46 KB, text/plain)
2006-10-19 18:49 UTC, Ivan Baldo
Details

Description Ivan Baldo 2006-10-19 18:48:06 UTC
If a surface pattern is transformed with a matrix it shows as black in xlib/gtk
backend.
This commit is the one that broke it:
    commit  8d7a02ed58e06584eb09575e6ca11d0a81094ab6
    Author: Christopher (Monty) Montgomery <xiphmont@gmail.com>
    Date:   Wed Oct 18 17:06:23 2006 -0700
    Add extents to clone_similar (fixing subimage_copy performance bug)
The attached program demostrates it.
Comment 1 Ivan Baldo 2006-10-19 18:49:46 UTC
Created attachment 7472 [details]
Minimal application showing the bug.
Comment 2 Carl Worth 2006-10-23 20:48:54 UTC
Thanks for the bug report, (particularly with the git bisect result), along with
the careful, minimal test case.

I did notice that we had similar failures in the test suite which I had failed
to notice earlier (oops!). I fixed the bug and pushed the commit out here:

http://gitweb.freedesktop.org/?p=cairo;a=commit;h=8381e53cc741af73fddebe61d9a0b28a8329c18b

I also verified that it fixes the test case here.

Do let me know if you run into any further problems.

-Carl
Comment 3 Ivan Baldo 2006-10-24 07:44:23 UTC
Excelent! Thank you!
It fixes my application.

P.s.: I leave it as "resolved fixed" since I don't know if I have to close the
bug myself or is there some policy regarding closing bugs that I don't know.
Comment 4 Carl Worth 2006-10-24 09:03:39 UTC
(In reply to comment #3)
> Excelent! Thank you!
> It fixes my application.

Great news. You're very welcome.

> P.s.: I leave it as "resolved fixed" since I don't know if I have to close the
> bug myself or is there some policy regarding closing bugs that I don't know.

We try to stay pretty lightweight on policy around here. Any of Resolved,
Verified, and Closed are pretty much identical as far as cairo bugs are concerned.

But what the heck, I'll note that you did verify the fix.

-Carl


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.